#include <iostream>
#include <vector>

using namespace std;

int main()
{
    int n,m;
    scanf("%d%d",&n,&m);
    vector<pair<int,int>> v;
    int miin = 1000000001;
    int maax = -1;
    for (int i=0;i<n;i++){
        int x,y;
        scanf("%d%d",&x,&y);
        maax=max(maax,y);
        miin=min(miin,x);
        pair<int,int> par = make_pair(x,y);
        v.push_back(par);
    }
    for (int i=0;i<m;i++){
        int l,r,x;
        scanf("%d%d%d",&l,&r,&x);
        if (x<miin || x>maax){
            printf("%d\n",0);
        }else{
            int s=0;
            for (int j=l-1;j<r;j++){
                if (x>=v[j].first && x<=v[j].second) s++;
            }
            printf("%d\n",s);
        }
    }
}